
import java.sql.Connection;
import java.sql.PreparedStatement;

import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.sql.DataSource;

@Stateless
public class EmployeeService implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName="EmployeeService")
  EntityManager em;
  
  @Resource(mappedName="java:/DefaultDS") DataSource dataSource;
  
  public EmployeeService() {
  }
  public void doAction(){
/*    Employee employee = new Employee();
    employee.setFirstName("E");
    employee.setLastName("E");

    em.persist(employee);

    employee.setLastName("New");
    em.merge(employee);
    
    em.remove(employee);
    
    em.flush();
    System.out.println("saved");
    
    
    List list = em.createQuery("FROM Employee p").getResultList();
    */
    PreparedStatement ps = null;
    Connection con = null;

    try
    {
       con = dataSource.getConnection();

       System.out.println("Creating table PAYMENT...");
       ps = con.prepareStatement("CREATE TABLE PAYMENT ( " +
                                 "CUSTOMER_ID INT, " +
                                 "CREDIT_EXP_DATE DATE" +
                                 ")");
       ps.execute();
       System.out.println("...done!");    
    }catch(Exception e){
      
    }       
  }
}

    